<?php

namespace App\Http\Controllers\Admin\Api\Auth;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\ResetPasswordRequest;
use App\Services\Admin\Auth\ResetPasswordService;
use Illuminate\Foundation\Auth\ResetsPasswords;
use Illuminate\Http\Request;

class ResetPasswordController extends Controller
{

    private $resetPasswordService;

    public function __construct(ResetPasswordService $resetPasswordService)
    {
        $this->middleware('guest');
        $this->resetPasswordService = $resetPasswordService;
    }
    
    public function reset(ResetPasswordRequest $resetPasswordRequest)
    {
        $data = $this->resetPasswordService->reset($resetPasswordRequest);
        return $data;
    }
}
